Public Class frmBerichtAlsExcelRendern

    Private Sub btnRender_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRender.Click
        ' whrend des Renderns Sanduhr anzeigen
        Windows.Forms.Cursor.Current = Cursors.WaitCursor

        ' Berichtsserver instanziieren
        Dim rs As New MeinBerichtsserver.ReportExecutionService
        ' Instanz fr Ausfhrungseigenschaften
        Dim execInfo As New MeinBerichtsserver.ExecutionInfo
        ' Standardberechtigungen einstellen
        rs.Credentials = System.Net.CredentialCache.DefaultCredentials

        ' Den Bericht in die Ausfhrungseigenschaften laden
        execInfo = rs.LoadReport(txtBerichtsName.Text, Nothing)

        ' Bytearray zur Zwischenspeicherung des gerenderten Berichts 
        Dim results() As [Byte]

        ' Bericht rendern
        results = rs.Render("EXCEL" _
                    , "", "", "", "", Nothing, Nothing)
       
        ' Datei fr Excel-File erzeugen und als Stream ffnen
        Dim stream As System.IO.FileStream = _
            System.IO.File.OpenWrite(txtAusgabedateiname.Text)
        ' Datei schreiben und schlieen
        stream.Write(results, 0, results.Length)
        stream.Close()

        ' Sanduhr ausblenden
        Windows.Forms.Cursor.Current = Cursors.Default

    End Sub
End Class
